Bug 1314851 - Review Request: novaclient-os-diskconfig - Disk Config extension for python-novaclient
Review Request: novaclient-os-diskconfig - Disk Config extension for python-n...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christos Triantafyllidis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 11:44 EST by Ricardo Cordeiro
Modified: 2017-01-06 08:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
christos.triantafyllidis: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Ricardo Cordeiro 2016-03-04 11:44:25 EST
Spec URL: https://rjmco.fedorapeople.org/python-novaclient-os-networks/novaclient-os-diskconfig.spec
SRPM URL: https://rjmco.fedorapeople.org/python-novaclient-os-diskconfig/python-novaclient-os-diskconfig-0.1.3-1.fc25.src.rpm
Description: Disk Config extension for python-novaclient
Fedora Account System Username: rjmco

Scratch build URLs:

rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=13225741
f24     http://koji.fedoraproject.org/koji/taskinfo?taskID=13225752
f23     http://koji.fedoraproject.org/koji/taskinfo?taskID=13225760
f22     http://koji.fedoraproject.org/koji/taskinfo?taskID=13225764


copr repo: https://copr.fedorainfracloud.org/coprs/rjmco/python-novaclient-os-diskconfig/

I've let upstream know that I am maintaining a package for the Fedora Project (https://github.com/rackerlabs/os_diskconfig_python_novaclient_ext/pull/8) and simultaneously asked them to include the missing LICENSE file.

The package name differs from the upstream name to fall inline with the package name structure agreed between Christos Triantafyllidis, gil cattaneo, Jon Ciesla and Zbigniew Jędrzejewski-Szmek on https://bugzilla.redhat.com/show_bug.cgi?id=1286867 for a similar add-on to python-novaclient.
Comment 1 Christos Triantafyllidis 2016-09-11 20:43:00 EDT
I'll review that one.

A very quick note, the spec URL is wrong (seems to refer to another package) but I found the correct one.

I'll update this tomorrow with my complete review.

Cheers,
Christos
Comment 2 Christos Triantafyllidis 2016-09-12 04:27:18 EDT
Hello,

Everything looks good with that one.

Just thing to comment:
[?]: Given that both F25 and rawhide have novaclient for python3 would it be
     possible to compile it for python3 too?

Can you please check if it compiles cleanly (it should) with python3 and if so add a python3 subpackage for F25 and above?

Following is the full review:
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/ctrianta/FedoraReviews/novaclient-os-diskconfig/python-
     novaclient-os-diskconfig/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/os_diskconfig_python_novaclient_ext(python2)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.

[?]: Given that both F25 and rawhide have novaclient for python3 would it be
     possible to compile it for python3 too?

Rpmlint
-------
Checking: python2-novaclient-os-diskconfig-0.1.3-1.fc26.noarch.rpm
          python-novaclient-os-diskconfig-0.1.3-1.fc26.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-novaclient-os-diskconfig (rpmlib, GLIBC filtered):
    python(abi)
    python-novaclient



Provides
--------
python2-novaclient-os-diskconfig:
    python-novaclient-os-diskconfig
    python2-novaclient-os-diskconfig
    python2.7dist(os-diskconfig-python-novaclient-ext)
    python2dist(os-diskconfig-python-novaclient-ext)



Source checksums
----------------
http://pypi.python.org/packages/source/o/os_diskconfig_python_novaclient_ext/os_diskconfig_python_novaclient_ext-0.1.3.tar.gz :
  CHECKSUM(SHA256) this package     : e7d19233a7b73c70244d2527d162d8176555698e7c621b41f689be496df15e75
  CHECKSUM(SHA256) upstream package : e7d19233a7b73c70244d2527d162d8176555698e7c621b41f689be496df15e75


I'll wait in case there is an update in the spec file for python3 before marking this as successful review.

Cheers,
Christos
Comment 3 Ricardo Cordeiro 2017-01-06 08:48:21 EST
Hi Christos,

I've modified the spec file to build both python2 and python3 packages for Fedora 25 and above. Fedora 24 doesn't have the required dependencies hence why it will only build the python2 package.

I've uploaded a new src.rpm file to fedorapeople.org and uploaded the git repository to pagure.io. Please find the updated URLs for both and the new scratch builds:

Spec URL: https://pagure.io/python-novaclient-os-diskconfig/raw/python-novaclient-os-diskconfig-0.1.3-1/f/python-novaclient-os-diskconfig.spec
SRPM URL: https://rjmco.fedorapeople.org/python-novaclient-os-diskconfig/python-novaclient-os-diskconfig-0.1.3-1.fc24.src.rpm

Scratch build URLs:

rawhide https://koji.fedoraproject.org/koji/taskinfo?taskID=17128708
f26     https://koji.fedoraproject.org/koji/taskinfo?taskID=17128706
f25     https://koji.fedoraproject.org/koji/taskinfo?taskID=17128704
f24     https://koji.fedoraproject.org/koji/taskinfo?taskID=17128702

The copr repo remains the same and has been rebuilt.

copr repo: https://copr.fedorainfracloud.org/coprs/rjmco/python-novaclient-os-diskconfig/

Cheers,
Ricardo

Note You need to log in before you can comment on or make changes to this bug.